Subject: Re: [RFC, VLAN]: Propagate selected feature bits to VLAN devices

From: Patrick McHardy <[email-masked]>
Date: Wed, 21 May 2008 01:59:07 +0200

Waskiewicz Jr, Peter P wrote:
>>> Shouldn't this mask the flags out of vlandev->features first?
>>>   
>> Yes, thanks.
>>>> +	dev->features = real_dev->features & (NETIF_F_TSO | 
>> NETIF_F_TSO6);
>>>>     
>>> This should also test the NETIF_F_VLAN_TSO flag and should copy the 
>>> NETIF_F_ALL_CSUM and NETIF_F_SG flags since TSO requires those (see
>>> register_netdevice() feature fix-up).  Peter pointed out that TX 
>>> checksum offload for VLANs might be available even without TSO; the 
>>> same goes for scatter-gather but I don't know whether it's 
>> worth adding a flag for that.
>>>   
>> Thanks, I added NETIF_F_SG to the VLAN TSO flags and added a 
>> NETIF_F_VLAN_CSUM flag for TX checksums. I didn't change 
>> GSO_SHIFT so far.
> 
> I've tested your latest patch with an in-house modified ixgbe driver,
> both with CSUM and TSO.  This patch works great for adding and removing
> the feature flags on demand.  Thanks for putting this together Patrick.
> 
> -PJ Waskiewicz
> <[email-masked]>

Great, I didn't notice your email before I saw Dave already
applied it :) Thanks Peter.